> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/cms/api-cms-theme.md).

# /api/cms/theme

## GET /api/cms/theme

> Get details of single theme.

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/theme"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_cms_theme":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["cms_theme_id"]}}},"paths":{"/api/cms/theme":{"get":{"description":"Get details of single theme.","tags":["/api/cms/theme"],"parameters":[{"name":"cms_theme_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_cms_theme"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_cms_theme"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_cms_theme"}}}}}}}}}
```

## POST /api/cms/theme

> Add Theme

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/theme"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"post_cms_theme":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["cms_area_id","reference_theme_id"]}}},"paths":{"/api/cms/theme":{"post":{"description":"Add Theme","tags":["/api/cms/theme"],"parameters":[{"name":"cms_area_id","in":"query","schema":{"type":"integer"},"required":true},{"name":"reference_theme_id","in":"query","schema":{"type":"integer"},"required":true},{"name":"name","in":"query","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/post_cms_theme"}},"application/json":{"schema":{"$ref":"#/components/schemas/post_cms_theme"}},"application/xml":{"schema":{"$ref":"#/components/schemas/post_cms_theme"}}}}}}}}}
```

## DELETE /api/cms/theme

> Delete theme

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/theme"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"delete_cms_theme":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["cms_theme_id"]}}},"paths":{"/api/cms/theme":{"delete":{"description":"Delete theme","tags":["/api/cms/theme"],"parameters":[{"name":"cms_theme_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/delete_cms_theme"}},"application/json":{"schema":{"$ref":"#/components/schemas/delete_cms_theme"}},"application/xml":{"schema":{"$ref":"#/components/schemas/delete_cms_theme"}}}}}}}}}
```

## PATCH /api/cms/theme

> Edit Theme Details

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/theme"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_cms_theme":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["cms_theme_id"]}}},"paths":{"/api/cms/theme":{"patch":{"description":"Edit Theme Details","tags":["/api/cms/theme"],"parameters":[{"name":"cms_theme_id","in":"query","schema":{"type":"integer"},"required":true},{"name":"name","in":"query","schema":{"type":"string"},"required":false},{"name":"deleted","in":"query","schema":{"type":"string"},"required":false},{"name":"settings","in":"query","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_cms_theme"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_cms_theme"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_cms_theme"}}}}}}}}}
```
